Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 649054 - sci-libs/vtk-8.1.0* dekeyworded for ~arm due to missing dependencies
Summary: sci-libs/vtk-8.1.0* dekeyworded for ~arm due to missing dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest
Depends on:
Blocks:
 
Reported: 2018-02-28 18:55 UTC by Mart Raudsepp
Modified: 2020-07-16 01:37 UTC (History)
2 users (show)

See Also:
Package list:
sci-libs/vtk ~arm media-libs/libharu ~arm sci-libs/xdmf2 ~arm
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2018-02-28 18:55:47 UTC
vtk-8.1 bump from bug 638024 added new dependency on libharu, which is not keyworded for arm. Thus it has been broken there ever since and repoman complaining.
To "fix" it, I've dropped ~arm keywords from the new versions.
Please do the necessary of keywording and re-keywording requests or whatnot now.

(CI checker was partially broken and skipping some categories or packages, and didn't check the package and catch the issue until it was fixed today; use repoman || die)
Comment 1 Larry the Git Cow gentoo-dev 2019-11-28 19:03:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ea12a503e6876e14d4ec117fe68e43f02dc6e5a

commit 9ea12a503e6876e14d4ec117fe68e43f02dc6e5a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-11-13 02:13:46 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-11-28 19:02:28 +0000

    profiles: arm: Mask sci-libs/pcl[vtk] and media-libs/opencv[vtk]
    
    Bug: https://bugs.gentoo.org/649054
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/arch/arm/package.use.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 2 NATTkA bot gentoo-dev 2020-06-25 19:53:30 UTC
Sanity check failed:

> sci-libs/vtk-8.2.0
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-libs/libharu-2.3.0-r2
>     sci-libs/xdmf2
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/libharu-2.3.0-r2
>     sci-libs/xdmf2
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-libs/libharu-2.3.0-r2
>     sci-libs/xdmf2
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/libharu-2.3.0-r2
>     sci-libs/xdmf2
Comment 3 Sam James gentoo-dev Security 2020-07-16 01:07:22 UTC
~arm added

I'll remove mask shortly.
Comment 4 Larry the Git Cow gentoo-dev 2020-07-16 01:37:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dae0cd4cca94c342a8dfa4eb46ef111c810833ad

commit dae0cd4cca94c342a8dfa4eb46ef111c810833ad
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-07-16 01:15:23 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-16 01:15:23 +0000

    profiles/arch/arm/package.use.mask: cleanup vtk masks
    
    No longer needed because of now-done keywording.
    
    Closes: https://bugs.gentoo.org/649054
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/arm/package.use.mask | 5 -----
 1 file changed, 5 deletions(-)